<?php 
/**
 * The receive payments file of contract module of ZDOO.
 *
 * @copyright   Copyright 2009-2018 青岛易软天创网络科技有限公司(QingDao Nature Easy Soft Network Technology Co,LTD, www.cnezsoft.com)
 * @license     ZPL (http://zpl.pub/page/zplv12.html)
 * @author      Tingting Dai <daitingting@xirangit.com>
 * @package     contract 
 * @version     $Id$
 * @link        http://www.zdoo.com
 */
?>
<?php include '../../../../sys/common/view/header.modal.html.php';?>
<?php include '../../../../sys/common/view/kindeditor.html.php';?>
<?php $methodName = $this->config->contract->receiveType[$contract->type];?>
<form method='post' id='receiveForm' class='form-table' action='<?php echo inlink($methodName, "contractID={$contract->id}")?>'>
  <table class='table table-form table-condensed'>
    <tr>
      <th class='w-100px'><?php echo $lang->$moduleType->all;?></th>
      <td><?php echo zget($currencySign, $contract->currency, $contract->currency) . $contract->amount;?></td>
      <td class='w-80px'></td>
    </tr>
    <tr>
      <th><?php echo $lang->$moduleType->thisAmount;?></th>
      <td>
        <div class='input-group'>
          <?php echo html::input('amount', '', "class='form-control'");?>
          <div class='input-group-addon fix-border'>
            <label class='checkbox-inline'><input type='checkbox' id='finish' name='finish' value='1'> <?php echo $lang->$moduleType->completeReturn;?></label>
          </div>
          <div class='input-group-addon <?php if($moduleType == 'contract') echo 'fix-border';?>'>
            <label class='checkbox-inline'><input type='checkbox' id='createTrade' name='createTrade' value='1' checked='checked'> <?php echo $lang->trade->create;?></label>
          </div>
          <?php if($moduleType == 'contract'):?>
          <div class='input-group-addon'>
            <label class='checkbox-inline'><input type='checkbox' id='noInvoice' name='noInvoice' value='1'> <?php echo $lang->trade->invoiceless;?></label>
          </div>
          <?php endif;?>
        </div>
      </td>
      <td></td>
    </tr>
    <tr class='tradeTR'>
      <th><?php echo $lang->trade->depositor;?></th>
      <td>
        <select name='depositor' id='depositor' class='form-control chosen'>
          <?php
          $options = array();
          foreach($depositorList as $depositor) $options[$depositor->id] = $depositor->abbr;
          $convertedPinYin = class_exists('commonModel') ? commonModel::convert2Pinyin($options) : array();

          echo "<option value='0' data-currency='' data-keys=''></option>";
          foreach($depositorList as $depositor)
          {
              $optionPinyin = zget($convertedPinYin, $depositor->abbr, '');

              echo "<option value='{$depositor->id}' data-currency='{$depositor->currency}' data-keys='{$optionPinyin}'>{$depositor->abbr}</option>";
          }
          ?>
        </select>
      </td>
      <td>
        <?php unset($depositorList[0]);?>
        <?php unset($depositorList['']);?>
        <?php if(!$depositorList) commonModel::printLink('cash.depositor', 'browse', '', $lang->depositor->create, "class='btn createDepositor'");?>
      </td>
    </tr>
    <tr class='currencyTR'>
      <th><?php echo $lang->trade->currency;?></th>
      <td>
        <div class='input-group'>
          <?php echo html::select('currencyLabel', $lang->currencyList, $config->setting->mainCurrency, "class='form-control' readonly");?>
          <?php echo html::hidden('currency');?>
          <span class='input-group-addon fix-border exchangeRate'><?php echo $lang->trade->exchangeRate;?></span>
          <?php echo html::input('exchangeRate', '', "class='form-control exchangeRate'");?> 
          <div class="required required-wrapper"></div>
        </div>
      </td>
      <td></td>
    </tr>
    <?php if($moduleType != 'contract' || empty($contract->quotations) || count($quotationProducts) < 2):?>
    <tr class='tradeTR'>
      <th><?php echo $lang->trade->category;?></th>
      <td><?php echo html::select('category', array('') + (array) $categories, '', "class='form-control'");?></td>
      <td></td>
    </tr>
    <?php endif;?>
    <tr class='tradeTR'>
      <th><?php echo $lang->trade->dept;?></th>
      <td><?php echo html::select('dept', array('') + (array) $deptList, isset($dept->id) ? $dept->id : '', "class='form-control'");?></td>
      <td></td>
    </tr>
    <?php if($moduleType == 'contract'):?>
    <?php if(empty($contract->quotations)):?>
    <tr class='tradeTR'>
      <th><?php echo $lang->trade->product;?></th>
      <td><?php echo html::select('product', $productList, $product, "class='form-control chosen'");?></td>
      <td></td>
    </tr>
    <?php elseif(count($quotationProducts) == 1):?>
    <tr class='tradeTR'>
      <th><?php echo $lang->trade->product;?></th>
      <td><?php echo html::select('product', $quotationProducts, $product, "class='form-control chosen'");?></td>
      <td></td>
    </tr>
    <?php else:?>
    <tr class='tradeTR quotationProduct'>
      <th><?php echo $lang->contract->product;?></th>
      <td>
        <div class='input-group'>
          <?php echo html::select('quotationProducts[1]', $quotationProducts, '', "class='form-control'");?>
          <span class='input-group-addon fix-border'></span>
          <?php echo html::input('quotationAmounts[1]', '', "class='form-control' placeholder='{$lang->contract->amount}'");?>
          <span class='input-group-btn'><?php echo html::a('javascript:;', "<i class='icon-plus'></i>", "class='plus btn'");?></span>
          <span class='input-group-btn'><?php echo html::a('javascript:;', "<i class='icon-remove'></i>", "class='minus btn'");?></span>
        </div>
      </td>
      <td></td>
    </tr>
    <?php endif;?>
    <?php endif;?>
    <tr class='invoiceTR hide'>
      <th><?php echo $lang->contract->invoice;?></th>
      <td><?php echo html::select('invoice[]', $invoices, '', "class='form-control chosen' multiple");?></td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->$moduleType->returnedBy;?></th>
      <td><?php echo html::select('returnedBy', $users, $this->app->user->account, "class='form-control chosen'");?></td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->$moduleType->returnedDate;?></th>
      <td><?php echo html::input('returnedDate', helper::today(), "class='form-control form-date'");?></td>
      <td></td>
    </tr>
    <tr>
      <th><?php echo $lang->trade->handlers;?></th>
      <td colspan='2'><?php echo html::select('handlers[]', $users, $contract->handlers . ',' . $this->app->user->account, "class='form-control chosen' multiple");?></td>
    </tr>
    <tr>
      <th><?php echo $lang->comment;?></th>
      <td colspan='2'><?php echo html::textarea('comment', '', "rows='2'");?></td>
    </tr>
    <tr>
      <th></th>
      <td colspan='2' class='form-actions'>
        <?php echo html::submitButton();?>
        <div id='duplicateError' class='hide'></div>
      </td>
    </tr>
  </table>
</form>
<?php if(!empty($contract->returnList)):?>
<div class='panel'>
  <div class='panel-heading'><strong><?php echo $lang->$moduleType->returnRecords;?></strong></div>
  <div class='panel-body'>
    <?php foreach($contract->returnList as $return):?>
    <?php printf($lang->$moduleType->returnInfo, formatTime($return->returnedDate, DT_DATE1), zget($users, $return->returnedBy, $return->returnedBy), zget($currencySign, $contract->currency, '') . $return->amount);?>
    <?php endforeach;?>
  </div>
</div>
<?php endif;?>
<div class='errorMessage hide'>
  <div class='alert alert-danger alert-dismissable'>
    <button aria-hidden='true' data-dismiss='alert' class='close' type='button'>×</button>
    <button type='button' class='btn btn-default' id='continueSubmit'><?php echo $lang->continueSave;?></button>
  </div>
</div>
<?php if($moduleType == 'contract'):?>
<script type='text/template' id='quotationProductTpl'>
<tr class='tradeTR quotationProduct '>
  <th></th>
  <td>
    <div class='input-group'>
      <?php echo html::select('quotationProducts[key]', $quotationProducts, '', "class='form-control'");?>
      <span class='input-group-addon fix-border'></span>
      <?php echo html::input('quotationAmounts[key]', '', "class='form-control' placeholder='{$lang->contract->amount}'");?>
      <span class='input-group-btn'><?php echo html::a('javascript:;', "<i class='icon-plus'></i>", "class='plus btn'");?></span>
      <span class='input-group-btn'><?php echo html::a('javascript:;', "<i class='icon-remove'></i>", "class='minus btn'");?></span>
    </div>
  </td>
</tr>
</script>
<?php endif;?>
<?php js::set('key', 2);?>
<?php js::set('mainCurrency', $config->setting->mainCurrency);?>
<?php include '../../../../sys/common/view/footer.modal.html.php';?>
